window.onload=load;
function load(){
	chrome.storage.local.get("transcription_type", function(result) {
		document.getElementById("selectBox").value=result.transcription_type;
	});
	
	switch (window.navigator.language){
		case "cs-CZ":
			document.getElementById("label").innerHTML="Vybrat přepis ";
			break;
		
		case "uk-UK":
			document.getElementById("label").innerHTML="Виберіть транскрипцію ";
			break;
			
		case "pt-PT":
			document.getElementById("label").innerHTML="Selecione a transcrição ";
			break;
			
		case "es-ES":
			document.getElementById("label").innerHTML="Seleccionar transcripción ";
			break;
			
		case "pl-PL":
			document.getElementById("label").innerHTML="Wybierz transkrypcję ";
			break;
		
		case "sk-SK":
			document.getElementById("label").innerHTML="Vyberte prepis ";
			break;
			
		case "de-DE":
			document.getElementById("label").innerHTML="Transkription auswählen ";
			break;
			
		case "ja-JP":
			document.getElementById("label").innerHTML="トランスクリプトを選択 ";
			break;
			
		default:
			document.getElementById("label").innerHTML="Select transcription ";
			break;
	}
	
}

document.addEventListener('change', function() {
    var selectBox = document.getElementById('selectBox');
    selectBox.addEventListener('click', function() {
		chrome.storage.local.set({"transcription_type": (document.getElementById("selectBox").value)}, function() { });
	});
});